Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.store
Class NIOFSDirectory.NIOFSIndexInput

    java.lang.Object
      org.apache.lucene.store.DataInput
          org.apache.lucene.store.IndexInput
              org.apache.lucene.store.BufferedIndexInput
                  org.apache.lucene.store.SimpleFSDirectory.SimpleFSIndexInput
                      org.apache.lucene.store.NIOFSDirectory.NIOFSIndexInput

All Implemented Interfaces:
  Closeable, Cloneable

Enclosing class:
  NIOFSDirectory

    protected static class NIOFSDirectory.NIOFSIndexInput

extends SimpleFSDirectory.SimpleFSIndexInput

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.store.SimpleFSDirectory.SimpleFSIndexInput
`SimpleFSDirectory.SimpleFSIndexInput.Descriptor`

Field Summary

Fields inherited from class org.apache.lucene.store.SimpleFSDirectory.SimpleFSIndexInput
`chunkSize, file`

Fields inherited from class org.apache.lucene.store.BufferedIndexInput
`buffer, BUFFER_SIZE`

Constructor Summary
`NIOFSDirectory.NIOFSIndexInput(File path, int bufferSize, int chunkSize)`

Method Summary
`void` | `close()` Closes the stream to further operations.
`protected void` | `newBuffer(byte[] newBuffer)`
`protected void` | `readInternal(byte[] b, int offset, int len)` IndexInput methods

Methods inherited from class org.apache.lucene.store.SimpleFSDirectory.SimpleFSIndexInput
`clone, copyBytes, length, seekInternal`

Methods inherited from class org.apache.lucene.store.BufferedIndexInput
`flushBuffer, getBufferSize, getFilePointer, readByte, readBytes, readBytes, readInt, readLong, readShort, readVInt, readVLong, seek, setBufferSize`

Methods inherited from class org.apache.lucene.store.IndexInput
`skipChars, toString`

Methods inherited from class org.apache.lucene.store.DataInput
`readChars, readString, readStringStringMap, setModifiedUTF8StringsMode`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NIOFSDirectory.NIOFSIndexInput

    public NIOFSDirectory.NIOFSIndexInput(File path,
                                          int bufferSize,
                                          int chunkSize)
                                   throws IOException

Throws:
  `IOException`

Method Detail

### newBuffer

    protected void newBuffer(byte[] newBuffer)

  Overrides:
    `newBuffer` in class `BufferedIndexInput`

### close

    public void close()
               throws IOException

  Description copied from class: `IndexInput`
  Closes the stream to further operations.

  Specified by:
    `close` in interface `Closeable`
  Overrides:
    `close` in class `SimpleFSDirectory.SimpleFSIndexInput`
  Throws:
    `IOException`

### readInternal

    protected void readInternal(byte[] b,
                                int offset,
                                int len)
                         throws IOException

  Description copied from class: `SimpleFSDirectory.SimpleFSIndexInput`
  IndexInput methods

  Overrides:
    `readInternal` in class `SimpleFSDirectory.SimpleFSIndexInput`
  Parameters:
    `b` - the array to read bytes into
    `offset` - the offset in the array to start storing bytes
    `len` - the number of bytes to read
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD